I cannot setup a gradle project

Started by Olaizjul on Sun, 07/18/2021 - 12:47

Topic category: Help with MCreator software

Last seen on 13:33, 21. Jul 2021
Joined Dec 2018
Points:

User statistics:

  • Modifications:
  • Forum topics:
  • Wiki pages:
  • Tracker tickets:
  • MCreator plugins:
  • Comments:
I cannot setup a gradle project
Sun, 07/18/2021 - 12:47

I am trying to make a new mod and when i try to set up a new workspace it fails to do so. I have already checked the knowledge base.

The error seems to be in downloadAssets, with the first failure being "minecraft/lang/sr_sp.json Hash failed"

 

Can someone help?

 

Last seen on 13:33, 21. Jul 2021
Joined Dec 2018
Points:

User statistics:

  • Modifications:
  • Forum topics:
  • Wiki pages:
  • Tracker tickets:
  • MCreator plugins:
  • Comments:
Here's the full error log…
Sun, 07/18/2021 - 12:49

Here's the full error log btw:

Executing 
    Gradle task: eclipse

Build 
    info: MCreator 2021.1.18117, forge-1.16.5, 64-bit, 8066 MB, Windows 10, 
    JVM 1.8.0_275, JAVA_HOME: C:\Program Files\Pylo\MCreator\jdk


    Task :downloadMcpConfig


    Task :extractSrg UP-TO-DATE


    Task :createSrgToMcp UP-TO-DATE


    Task :downloadMCMeta UP-TO-DATE

Copying 
    local object: 05/055247ee96960f1e5f6550f069d352b7ec7ea2cf Asset: 
    minecraft/lang/sr_sp.json

minecraft/lang/sr_sp.json 
    Hash failed.


    Task :downloadAssets FAILED

FAILURE: 
    Build failed with an exception.


    What went wrong:

Execution 
    failed for task ':downloadAssets'.


    Failed to get asset: minecraft/lang/sr_sp.json

 
     Some assets failed to download or validate, try running the task again.


    Try:

Run 
    with --stacktrace option to get the stack trace. Run with --info or 
    --debug option to get more log output. Run with --scan to get full 
    insights.


    Get more help at https://help.gradle.org

Deprecated 
    Gradle features were used in this build, making it incompatible with 
    Gradle 7.0.

Use 
    '--warning-mode all' to show the individual deprecation warnings.

See 
    https://docs.gradle.org/6.8.1/userguide/command_line_interface.html#sec…

BUILD 
    FAILED in 7s


    actionable tasks: 2 executed, 3 up-to-date

BUILD 
    FAILED

Task 
    completed in 7 seconds

Last seen on 13:33, 21. Jul 2021
Joined Dec 2018
Points:

User statistics:

  • Modifications:
  • Forum topics:
  • Wiki pages:
  • Tracker tickets:
  • MCreator plugins:
  • Comments:
I already tried to, but it…
Tue, 07/20/2021 - 06:21

I already tried to, but it didn't work

Last seen on 13:33, 21. Jul 2021
Joined Dec 2018
Points:

User statistics:

  • Modifications:
  • Forum topics:
  • Wiki pages:
  • Tracker tickets:
  • MCreator plugins:
  • Comments:
Update: I tried setting up a…
Tue, 07/20/2021 - 06:30

Update: I tried setting up a project in 1.15.2 and it worked, but i tried again and again on 1.16.5 and it didn't

I also rebooted my pc, didn't work

Last seen on 18:01, 22. Aug 2021
Joined Jul 2021
Points:

User statistics:

  • Modifications:
  • Forum topics:
  • Wiki pages:
  • Tracker tickets:
  • MCreator plugins:
  • Comments:
on new snapshot i'm too have…
Tue, 07/20/2021 - 09:10

on new snapshot i'm too have problem! you need delete this version and install old (2020.5 is very nice) version!